# whenMerged

open fun whenMerged(action: Action<out Any>)

Adds an action to be called after content is loaded from existing file and after gradle build information is merged.

This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseProject or org.gradle.plugins.ide.idea.model.IdeaProject and others.

#### Parameters

action

The action to execute.

open fun whenMerged(closure: Closure)

Adds a closure to be called after content is loaded from existing file and after gradle build information is merged.

This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseProject or org.gradle.plugins.ide.idea.model.IdeaProject and others.

#### Parameters

closure

The closure to execute.

open var whenMerged: MutableActionSet